Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmts-py.h File Reference

More...

`#include "rpmts.h"`

Go to the source code of this file.

## Data Structures
struct | rpmtsObject_s
## Typedefs
typedef rpmtsObject_s | rpmtsObject
## Enumerations
enum | { RPMDEP_SENSE_REQUIRES, RPMDEP_SENSE_CONFLICTS }
## Functions
rpmtsObject * | rpmts_Create (PyObject *s, PyObject *args)
## Variables
PyTypeObject | rpmts_Type

## Detailed Description

Definition in file rpmts-py.h.

## Typedef Documentation

typedef struct rpmtsObject_s rpmtsObject

## Enumeration Type Documentation

anonymous enum

  | Enumeration values:
  RPMDEP_SENSE_REQUIRES | requirement not satisfied.
  RPMDEP_SENSE_CONFLICTS | conflict was found.
Definition at line 24 of file rpmts-py.h.

## Function Documentation

rpmtsObject* rpmts_Create | ( | PyObject * | s,
|  | PyObject * | args
| ) |

| Definition at line 1422 of file rpmts-py.c.